Bug 258557 - www/closure-compiler: update to v20210907
Summary: www/closure-compiler: update to v20210907
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lewis Cook
URL: https://github.com/google/closure-com...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-17 13:07 UTC by Bryan Frimin
Modified: 2021-10-20 11:07 UTC (History)
1 user (show)

See Also:


Attachments
update to v20210907 (1.01 KB, patch)
2021-09-17 13:07 UTC, Bryan Frimin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Frimin 2021-09-17 13:07:51 UTC
Created attachment 227961 [details]
update to v20210907

Update closure compiler to v20210907
Comment 1 commit-hook freebsd_committer 2021-09-19 22:59:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9a67abe5d7315c90fe354272e213ef6f4888d8f5

commit 9a67abe5d7315c90fe354272e213ef6f4888d8f5
Author:     Bryan Frimin <bryan@frimin.fr>
AuthorDate: 2021-09-19 22:38:32 +0000
Commit:     Lewis Cook <lcook@FreeBSD.org>
CommitDate: 2021-09-19 22:38:32 +0000

    www/closure-compiler: Update to 20210907

    Changes:        https://github.com/google/closure-compiler/releases/tag/v20210907
    PR:             258557

 www/closure-compiler/Makefile | 2 +-
 www/closure-compiler/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 2 Lewis Cook freebsd_committer freebsd_triage 2021-09-19 23:00:39 UTC
Committed with minor changes[*], thanks!

Small nits for future reference (this typically helps speed up the process of review/commiting);

* If there is a changelog or release notes URL available, please add it to the URL field in the initial report.
* Set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.  This can be done as follows;
     Attachment -> Details -> maintainer-approval [+]

[*] As for minor changes in your patch, we typically use `PORTVERSION` to signify the version of the FreeBSD package itself, not the version of upstream software.  Instead `DISTVERSION` is better suited for this instance[1].

[1] https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
Comment 3 Bryan Frimin 2021-10-20 11:07:38 UTC
Thanks for the recommendations :)